#!/usr/bin/perl
# ----------------------------------------------------------
#   parse_sat_info
#
#   parse satellite info files to extraqct information
#        date
#        endpoint coordinates
#
#  All sat files have same name (browse.par), uses 
#            reference date for filename
#    
#   loop to find them all
#     find . -name 'browse.par' -exec parst_sat_info.plx {} \; 
#
# --------------------------------------------------------------

die "Usage: $0 InpufFile(s)\n"   unless (@ARGV);


while ($file = shift(ARGV)) {
    chomp($file);
    undef $name, $date, $flag;

    open(IN,"< $file")     or  die "Cannot open $file\n";

    while ($line = <IN>) {
        chomp($line);

          if ($line =~  /sensor_name:/ ) {
              ($text,$name) = split(" ",$line);
          }

          # if ($line =~ /reference_date/) {
          #    ($text,$date) = split(" ",$line);
          #    ($outfile) = $date =~ /^(........)/;
          # }   


           if ($line =~  /first_line_first_pixel/ ) {
              ($text,$lat1,$lon1) = split(" ",$line);
           }     
        
           if ($line =~  /first_line_last_pixel/ ) {
              ($text,$lat2,$lon2) = split(" ",$line);
           }     
        
           if ($line =~  /last_line_first_pixel/ ) {
              ($text,$lat3,$lon3) = split(" ",$line);
           }     
               
           if ($line =~  /last_line_last_pixel/ ) {
              ($text,$lat4,$lon4) = split(" ",$line);
           }  
                
           
           # the first cordinates are for raw images, so print out 
           #    and go to another file
           if ($line =~  /center_line_center_pixel/ ) {
              ($text,$lat5,$lon5) = split(" ",$line);
              $flag = 1;
           }

           if ($line =~  /first_line:/  and $flag == 1) {

              ($text,$date) = split(" ",$line);
              ($outfile) = $date =~ /^(........)/;
              $ofile = "${name}_${outfile}_coords.info";
              
              print "Out file: $ofile\n";
              open(OUT,"> $ofile")   or  die "Cannot open $ofile\n";
              print  OUT '%  image corners and center coordinates',"\n";  
              print  OUT "$lat1 $lon1   $lat2 $lon2   $lat3 $lon3   $lat4 $lon4   $lat5 $lon5\n";

              close(OUT);
              last;
           }


     }   #end while over lines
     

}   # end over files
